<?php
/**
 * Plumbing Contractor functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Plumbing Contractor
 */

/* Enqueue script and styles */

function plumbing_contractor_enqueue_google_fonts() {

	require_once get_theme_file_path( 'includes/wptt-webfont-loader.php' );

	wp_enqueue_style(
		'overpass',
		plumbing_contractor_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Overpass:ital,wght@0,100;0,200;0,300;0,400;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap' ),
		array(),
		'1.0'
	);
}
add_action( 'wp_enqueue_scripts', 'plumbing_contractor_enqueue_google_fonts' );

if (!function_exists('plumbing_contractor_enqueue_scripts')) {

	function plumbing_contractor_enqueue_scripts() {

		wp_enqueue_style(
			'bootstrap-css',
			get_template_directory_uri() . '/assets/css/bootstrap.css',
			array(),'4.5.0'
		);

		wp_enqueue_style(
			'fontawesome-css',
			get_template_directory_uri() . '/assets/css/fontawesome-all.css',
			array(),'4.5.0'
		);

		wp_enqueue_style('plumbing-contractor-style', get_stylesheet_uri(), array() );

		wp_enqueue_style(
			'plumbing-contractor-responsive-css',
			get_template_directory_uri() . '/assets/css/responsive.css',
			array(),'2.3.4'
		);

		wp_enqueue_script(
			'plumbing-contractor-navigation',
			get_template_directory_uri() . '/assets/js/navigation.js',
			FALSE,
			'1.0',
			TRUE
		);

		wp_enqueue_script(
			'plumbing-contractor-script',
			get_template_directory_uri() . '/assets/js/script.js',
			array('jquery'),
			'1.0',
			TRUE
		);

		wp_enqueue_style( 'animate-css', esc_url(get_template_directory_uri()).'/assets/css/animate.css' );

		wp_enqueue_script( 'wow-js', esc_url(get_template_directory_uri()) . '/assets/js/wow.js', array('jquery') );

		require get_parent_theme_file_path( '/includes/color-setting/custom-color-control.php' );
		wp_add_inline_style( 'plumbing-contractor-style',$plumbing_contractor_theme_custom_setting_css );
		wp_style_add_data('plumbing-contractor-style', 'rtl', 'replace');

		if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

		$css = '';

		if ( get_header_image() ) :

			$css .=  '
				.header-image-box{
					background-image: url('.esc_url(get_header_image()).') !important;
					-webkit-background-size: cover !important;
					-moz-background-size: cover !important;
					-o-background-size: cover !important;
					background-size: cover !important;
					height: 550px;
				    display: flex;
				    align-items: center;
				}';

		endif;

		wp_add_inline_style( 'plumbing-contractor-style', $css );

	}

	add_action( 'wp_enqueue_scripts', 'plumbing_contractor_enqueue_scripts' );

}

/* Setup theme */

if (!function_exists('plumbing_contractor_after_setup_theme')) {

	function plumbing_contractor_after_setup_theme() {

		load_theme_textdomain( 'plumbing-contractor', get_template_directory() . '/languages' );
		if ( ! isset( $plumbing_contractor_content_width ) ) $plumbing_contractor_content_width = 900;

		register_nav_menus( array(
			'main-menu' => esc_html__( 'Main menu', 'plumbing-contractor' ),
		));

		add_theme_support( 'responsive-embeds' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'align-wide' );
		add_theme_support('title-tag');
		add_theme_support('automatic-feed-links');
		add_theme_support( 'wp-block-styles' );
		add_theme_support('post-thumbnails');
		add_theme_support( 'custom-background', array(
		  'default-color' => 'f3f3f3'
		));

		add_theme_support( 'custom-logo', array(
			'height'      => 70,
			'width'       => 70,
		) );

		add_theme_support( 'custom-header', array(
			'default-image'      => get_parent_theme_file_uri( '/assets/images/default-header-image.png' ),
			'width' => 1920,
			'flex-width' => true,
			'height' => 550,
			'flex-height' => true,
			'header-text' => false,
		));

		register_default_headers( array(
			'default-image' => array(
				'url'           => '%s/assets/images/default-header-image.png',
				'thumbnail_url' => '%s/assets/images/default-header-image.png',
				'description'   => __( 'Default Header Image', 'plumbing-contractor' ),
			),
		) );

		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_editor_style( array( '/assets/css/editor-style.css' ) );

		global $pagenow;
		
		if ( is_admin() && $pagenow === 'themes.php' && (!isset($_GET['page']) || $_GET['page'] !== 'plumbing_contractor_about')) {
			add_action('admin_notices', 'plumbing_contractor_activation_notice');
		}
	}

	add_action( 'after_setup_theme', 'plumbing_contractor_after_setup_theme', 999 );

}

function plumbing_contractor_activation_notice() {
	$plumbing_contractor_meta = get_option( 'plumbing_contractor_admin_notice' );
	if (!$plumbing_contractor_meta) {
			echo '<div id="plumbing-contractor-welcome-notice" class="notice notice-info wpele-activation-notice is-dismissible">';
			echo '<div class="notice-body">';
				echo '<div class="notice-content">';
					echo '<h2>'. esc_html__( 'Welcome to WPElemento', 'plumbing-contractor' ) .'</h2>';
					echo '<p>'. esc_html__( 'Thank you for choosing Plumbing Contractor theme .To setup the theme, please visit the get started page.', 'plumbing-contractor' ) .'</p>';
					echo '<span><a href="'. esc_url( admin_url( 'themes.php?page=plumbing_contractor_about' ) ) .'" class="button button-notice">'. esc_html__( 'GET STARTED', 'plumbing-contractor' ) .'</a></span>';
					echo '<span><a href="'. esc_url( PLUMBING_CONTRACTOR_BUY_NOW ) .'" class="button button-notice" target="_blank" >'. esc_html__( 'BUY NOW', 'plumbing-contractor' ) .'</a></span>';
					echo '<span><a href="'. esc_url( PLUMBING_CONTRACTOR_LIVE_DEMO ) .'" class="button button-notice" target="_blank" >'. esc_html__( 'DEMO', 'plumbing-contractor' ) .'</a></span>';
				echo '</div>';
				echo '<div class="notice-icon">';
					echo '<img src="'.esc_url(get_template_directory_uri()).'/includes/getstart/images/get-logo.png ">';
				echo '</div>';
			echo '</div>';
		echo '</div>';
	}
}


/* Get post comments */

if (!function_exists('plumbing_contractor_comment')) :
    /**
     * Template for comments and pingbacks.
     *
     * Used as a callback by wp_list_comments() for displaying the comments.
     */
    function plumbing_contractor_comment($comment, $args, $depth){

        if ('pingback' == $comment->comment_type || 'trackback' == $comment->comment_type) : ?>

            <li id="comment-<?php comment_ID(); ?>" <?php comment_class('media'); ?>>
            <div class="comment-body">
                <?php esc_html_e('Pingback:', 'plumbing-contractor');
                comment_author_link(); ?><?php edit_comment_link(__('Edit', 'plumbing-contractor'), '<span class="edit-link">', '</span>'); ?>
            </div>

        <?php else : ?>

        <li id="comment-<?php comment_ID(); ?>" <?php comment_class(empty($args['has_children']) ? '' : 'parent'); ?>>
            <article id="div-comment-<?php comment_ID(); ?>" class="comment-body media mb-4">
                <a class="pull-left" href="#">
                    <?php if (0 != $args['avatar_size']) echo get_avatar($comment, $args['avatar_size']); ?>
                </a>
                <div class="media-body">
                    <div class="media-body-wrap card">
                        <div class="card-header">
                            <h5 class="mt-0"><?php /* translators: %s: author */ printf('<cite class="fn">%s</cite>', get_comment_author_link() ); ?></h5>
                            <div class="comment-meta">
                                <a href="<?php echo esc_url(get_comment_link($comment->comment_ID)); ?>">
                                    <time datetime="<?php comment_time('c'); ?>">
                                       <?php /* translators: %s: Date */ printf( esc_attr('%1$s at %2$s', '1: date, 2: time', 'plumbing-contractor'), esc_attr( get_comment_date() ), esc_attr( get_comment_time() ) ); ?>
                                    </time>
                                </a>
                                <?php edit_comment_link( __( 'Edit', 'plumbing-contractor' ), '<span class="edit-link">', '</span>' ); ?>
                            </div>
                        </div>

                        <?php if ('0' == $comment->comment_approved) : ?>
                            <p class="comment-awaiting-moderation"><?php esc_html_e('Your comment is awaiting moderation.', 'plumbing-contractor'); ?></p>
                        <?php endif; ?>

                        <div class="comment-content card-block">
                            <?php comment_text(); ?>
                        </div>

                        <?php comment_reply_link(
                            array_merge(
                                $args, array(
                                    'add_below' => 'div-comment',
                                    'depth' => $depth,
                                    'max_depth' => $args['max_depth'],
                                    'before' => '<footer class="reply comment-reply card-footer">',
                                    'after' => '</footer><!-- .reply -->'
                                )
                            )
                        ); ?>
                    </div>
                </div>
            </article>

            <?php
        endif;
    }
endif; // ends check for plumbing_contractor_comment()

if (!function_exists('plumbing_contractor_widgets_init')) {

	function plumbing_contractor_widgets_init() {

		register_sidebar(array(

			'name' => esc_html__('Sidebar','plumbing-contractor'),
			'id'   => 'plumbing-contractor-sidebar',
			'description'   => esc_html__('This sidebar will be shown next to the content.', 'plumbing-contractor'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Page Sidebar','plumbing-contractor'),
			'id'   => 'sidebar-2',
			'description'   => esc_html__('This sidebar will be shown on pages.', 'plumbing-contractor'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Sidebar three','plumbing-contractor'),
			'id'   => 'sidebar-3',
			'description'   => esc_html__('This sidebar will be shown on blog pages.', 'plumbing-contractor'),
			'before_widget' => '<div id="%1$s" class="sidebar-widget %2$s">',
			'after_widget'  => '</div>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 1','plumbing-contractor'),
			'id'   => 'footer1-sidebar',
			'description'   => esc_html__('It appears in the footer 1.', 'plumbing-contractor'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 2','plumbing-contractor'),
			'id'   => 'footer2-sidebar',
			'description'   => esc_html__('It appears in the footer 2.', 'plumbing-contractor'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 3','plumbing-contractor'),
			'id'   => 'footer3-sidebar',
			'description'   => esc_html__('It appears in the footer 3.', 'plumbing-contractor'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

		register_sidebar(array(

			'name' => esc_html__('Footer sidebar 4','plumbing-contractor'),
			'id'   => 'footer4-sidebar',
			'description'   => esc_html__('It appears in the footer 4.', 'plumbing-contractor'),
			'before_widget' => '<aside id="%1$s" class="%2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h4 class="title">',
			'after_title'   => '</h4>'

		));

	}

	add_action( 'widgets_init', 'plumbing_contractor_widgets_init' );

}

function plumbing_contractor_the_breadcrumb() {
	if (!is_home()) {
		echo '<a href="';
		echo esc_url( home_url() );
		echo '">';
		bloginfo('name');
		echo "</a> >> ";
		if (is_category() || is_single()) {
			the_category(' , ');
			if (is_single()) {
				echo " >> ";
				the_title();
			}
		} elseif (is_page()) {
			echo the_title();
		}
	}
}
/**
 * logo resizer
 */

function plumbing_contractor_logo_resizer() {

    $plumbing_contractor_theme_logo_size_css = '';
    $plumbing_contractor_logo_resizer = get_theme_mod('plumbing_contractor_logo_resizer');

	$plumbing_contractor_theme_logo_size_css = '
		.custom-logo{
			height: '.esc_attr($plumbing_contractor_logo_resizer).'px !important;
			width: '.esc_attr($plumbing_contractor_logo_resizer).'px !important;
		}
	';
    wp_add_inline_style( 'plumbing-contractor-style',$plumbing_contractor_theme_logo_size_css );

}
add_action( 'wp_enqueue_scripts', 'plumbing_contractor_logo_resizer' );

add_filter( 'woocommerce_single_product_image_thumbnail_html', function( $html ) {
    return '<div class="product-img">' . $html . '</div>';
});

/**
 * Change number or products per row to 3
 */
add_filter('loop_shop_columns', 'plumbing_contractor_loop_columns', 999);
if (!function_exists('plumbing_contractor_loop_columns')) {
	function plumbing_contractor_loop_columns() {
		return get_theme_mod( 'plumbing_contractor_products_per_row', '3' ); 
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'plumbing_contractor_products_per_page' );
function plumbing_contractor_products_per_page( $cols ) {
  	return  get_theme_mod( 'plumbing_contractor_products_per_page',9);
}


add_action( 'wp_enqueue_scripts', 'plumbing_contractor_load_dashicons_front_end' );
function plumbing_contractor_load_dashicons_front_end() {
	wp_enqueue_style( 'dashicons' );
}

function plumbing_contractor_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function plumbing_contractor_customize_css() {
	?>
	<?php if ( 'right' == get_theme_mod( 'plumbing_contractor_sale_badge_position', 'right' ) ) : ?>
		<style>
		.woocommerce ul.products li.product .onsale {
			left: auto; right: 10px;
		}
		</style>
	<?php elseif ( 'left' == get_theme_mod( 'plumbing_contractor_sale_badge_position', 'right' ) ) : ?>
		<style>
		.woocommerce ul.products li.product .onsale{
			left: 10px; right: auto ;
		}
		</style>
	<?php endif; ?>

	<?php
}

add_action( 'wp_head', 'plumbing_contractor_customize_css');

function plumbing_contractor_enqueue_setting() {
/* Plugin Activation */
require get_template_directory() . '/includes/getstart/plugin-activation.php';

/* Implement the About theme page */
require get_template_directory() . '/includes/getstart/getstart.php';

require get_template_directory() . '/includes/post-create.php';

if( class_exists( 'Whizzie' ) ) {
	$Whizzie = new Whizzie();
}

require get_template_directory() .'/includes/tgm/tgm.php';
require get_template_directory() . '/includes/customizer.php';
load_template( trailingslashit( get_template_directory() ) . '/includes/go-pro/class-upgrade-pro.php' );

define('PLUMBING_CONTRACTOR_FREE_THEME_DOC',__('https://preview.wpelemento.com/theme-documentation/plumbing-contractor/','plumbing-contractor'));
define('PLUMBING_CONTRACTOR_SUPPORT',__('https://wordpress.org/support/theme/plumbing-contractor/','plumbing-contractor'));
define('PLUMBING_CONTRACTOR_REVIEW',__('https://wordpress.org/support/theme/plumbing-contractor/reviews/','plumbing-contractor'));
define('PLUMBING_CONTRACTOR_BUY_NOW',__('https://www.wpelemento.com/products/contractor-wordpress-theme','plumbing-contractor'));
define('PLUMBING_CONTRACTOR_LIVE_DEMO',__('https://preview.wpelemento.com/plumbing-contractor-elementor/','plumbing-contractor'));
define('PLUMBING_CONTRACTOR_THEME_BUNDLE',__('https://www.wpelemento.com/products/wordpress-theme-bundle','plumbing-contractor'));
}
add_action('after_setup_theme', 'plumbing_contractor_enqueue_setting');

function plumbing_contractor_dismissed_notice() {
	update_option( 'plumbing_contractor_admin_notice', true );
}
add_action( 'wp_ajax_plumbing_contractor_dismissed_notice', 'plumbing_contractor_dismissed_notice' );

add_action('after_switch_theme', 'plumbing_contractor_getstart_setup_options');
function plumbing_contractor_getstart_setup_options () {
    update_option('plumbing_contractor_admin_notice', false );
}

?>